from django import forms
from django.forms import ClearableFileInput
from django.utils.translation import gettext as _

from fotos.models import UploadedImage, UploadedFile

class UploadedImageForm(forms.ModelForm):

    def __init__(self, *args, **kwargs):
        super(forms.ModelForm, self).__init__(*args, **kwargs)
        self.fields['files'].label = _('Archivos')

    class Meta:
        model = UploadedImage
        fields = [ 'files' ]
        widgets = {
            'files': ClearableFileInput(attrs = {'multiple': True})
        }

class UploadedFileForm(forms.ModelForm):

    def __init__(self, *args, **kwargs):
        super(forms.ModelForm, self).__init__(*args, **kwargs)
        self.fields['file'].label = _('Archivo')

    class Meta:
        model = UploadedFile
        fields = [ 'file' ]
        widgets = {
            'file': ClearableFileInput()
        }
