from django.conf import urls
from django.urls import path, re_path
from django.views.i18n import JavaScriptCatalog
from django.views.decorators.cache import cache_page

from fotos import views

urls.handler404 = views.handler404

urlpatterns = [
    re_path(r'^$', views.index, name='index'),

    re_path(r'^(\d{4})/(\d{2})/([\w-]+)/([\w\.-]+)/?$', views.photo, name='photo'),
    re_path(r'^(\d{4})/(\d{2})/([\w-]+)/?$', views.event, name='event'),
    re_path(r'^(\d{4})/(\d{2})/?$', views.month, name='month'),
    re_path(r'^(\d{4})/?$', views.year, name='year'),
    re_path(r'^search/?$', views.search, name='search'),
    re_path(r'^result/?$', views.result, name='result'),

    re_path(r'^admin/info/?', views.info, name='info'),
    re_path(r'^admin/password/?', views.password, name='password'),
    re_path(r'^admin/api/?', views.api, name='api'),
    re_path(r'^admin/download_highlights/?',
            views.download_highlights, name='download_highlights'),
    re_path(r'^admin/upload_highlights/?',
            views.upload_highlights, name='upload_highlights'),
    re_path(r'^admin/upload/?', views.upload, name='upload'),
    re_path(r'^admin/map/?', views.map, name='map'),
    re_path(r'^admin/reset/?', views.reset, name='reset'),
    re_path(r'^admin/highlight/?', views.highlight, name='highlight'),
    re_path(r'^admin/delete/?', views.delete, name='delete'),
    re_path(r'^admin/logout/?', views.logout, name='logout'),
    re_path(r'^admin/login/?', views.login, name='login'),

    re_path(r'^rest/list_albums/?$',
            views.list_albums, name='list_albums'),
    re_path(r'^rest/list_photos/?$',
            views.list_photos, name='list_photos'),
    re_path(r'^rest/random_photo/?$',
            views.random_photo, name='random_photo'),
    re_path(r'^rest/upload_photos/?$',
            views.upload_photos, name='upload_photos'),
    re_path(r'^rest/delete_item/?$',
            views.delete_item, name='delete_item'),
    re_path(r'^rest/reset_highlights/?$',
            views.reset_highlights, name='reset_highlights'),
    re_path(r'^rest/get_highlights/?$',
            views.get_highlights, name='get_highlights'),
    re_path(r'^rest/set_highlights/?$',
            views.set_highlights, name='set_highlights'),

    path('jsi18n/',
         cache_page(86400)(JavaScriptCatalog.as_view()),
         name='javascript-catalog'),
]
